* {
  user-select: none;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: sans-serif;
  color: var(--primary_text);
}
:root {
  --primary_color: #eee;
  --secondary_color: #e4dfdf;
  --primary_text: #484747;
  --primay_button: #ff9a0c;
}
h1,
h2 {
  font-size: 15px;
}
body {
  height: 100vh;
  padding-bottom: 10px;
  display: grid;
  place-items: center;
  background-color: #fff;
}

main {
  position: relative;
  width: clamp(100px, 300px, 500px);
  max-width: 500px;
  margin-top: 2px;
  border-radius: 10px;
  position: relative;
  background-color: var(--primary_color);
  height: 100%;
  overflow: hidden;
  padding: 10px;
}
.top {
  margin-top: 20px;
  justify-content: space-between;
  padding: 5px 10px;
}
.top h1 {
  color: var(--primay_button);
}

/* holds all task main div */
.items {
  margin-top: 5px;
  user-select: none;
  display: flex;
  max-height: 80%;
  overflow-y: auto;
  overflow-x: hidden;
  padding: 6px;
  flex-direction: column;
  gap: 7px;
}
.items h2:nth-child(1) {
  color: var(--primay_button);
}

/* todo task_element_text */
/* main div of task */
.task_element {
  transition: all 0.3s;
  position: relative;
  border-radius: 10px;
  background-color: #fff;
  display: flex;
  align-items: center;
  width: 100%;
  height: fit-content;
  padding: 15px 10px;
  justify-content: space-between;
}
.task_element .task_element_text {
  transition: all 0.3s;
  font-size: 15px;
  font-weight: 600;
  color: var(--primary_text);
}
.task_element:hover .task_element_text,
.task_info {
  transition: all 0.3s;
  color: #fff;
}
.task_element:hover {
  transition: all 0.3s;
  transform: scale(105%);
  width: 97%;

  background-color: #ff9a0ce2;
}

.task_element_text {
  width: 70%;
  word-break: break-all;
}
/* show more info of task --- date added */
.task_element:hover .task_info {
  transition: all 0.3s;
  display: block;
}
.task_info {
  display: none;
  font-size: 12px;
}
/* hide more task_info */
.hide {
  display: none;
}

/* delete icon styles */
.del {
  width: auto;
  max-height: 15px;
}
.del:hover {
  cursor: pointer;
}

/* form styles  create  new task*/
.add_new form {
  margin-top: 10px;
  padding: 5px;
  display: flex;
  justify-content: space-between;
}
.add_new form > input {
  padding: 7px;
  border-radius: 7px;
  border: none;
}
input[type="text"] {
  outline-color: #fff;
  transition: all 0.3s;
  width: 70%;
  word-wrap: break-word;
}
input[type="text"]:hover {
  transition: all 0.3s;
}

input[type="text"]:focus {
  transition: all 0.3s;
  outline-color: var(--primay_button);
}

input[type="submit"] {
  width: 25%;
  border: none;
  color: #fff;
  font-weight: 600;
  background-color: var(--primay_button);
}

/* style for animation  */
.dele {
  position: relative;
  animation: moveLeft 0.3s;
}

/* plus sign */
.plus {
  transition: all 0.3s;
  position: relative;
  user-select: none;
  cursor: pointer;
  width: 20px;
  height: 20px;
  display: flex;
  padding: 1px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: var(--primay_button);
}
.plus:hover {
  transition: all 0.3s;
  transform: scale(120%);
}
.plus > span {
  display: block;
  color: #fff;
  font-size: 20px;
}

@keyframes moveLeft {
  from {
    left: 0;
  }
  to {
    left: -150%;
  }
}

#top {
  display: flex;
  gap: 20%;
}
